Supporto » Fixing WordPress » Feed rss errato con WordPress 4.9.7

  • gianfrancogoria

    (@gianfrancogoria)



    Sto usando WordPress 4.9.7 con un child di Twenty Seventeen. Mi sono accorto da poco che i feed rss e rss2 (a differenza di atom) vengono prodotti con un errore: manca uno spazio (o un ritorno a capo, forse, meglio) alla riga 8, dopo le virgolette e prima di xmlns.
    Ecco (http://www.afnews.info/wordpress/feed/):
    <?xml version=”1.0″ encoding=”UTF-8″?><rss version=”2.0″
    xmlns:content=”http://purl.org/rss/1.0/modules/content/”
    xmlns:wfw=”http://wellformedweb.org/CommentAPI/”
    xmlns:dc=”http://purl.org/dc/elements/1.1/”
    xmlns:atom=”http://www.w3.org/2005/Atom”
    xmlns:sy=”http://purl.org/rss/1.0/modules/syndication/”
    xmlns:slash=”http://purl.org/rss/1.0/modules/slash/”
    xmlns:media=”http://search.yahoo.com/mrss/”xmlns:georss=”http://www.georss.org/georss” xmlns:geo=”http://www.w3.org/2003/01/geo/wgs84_pos#” >

    Ecco la stessa cosa, ma giusta, nel file Atom (http://www.afnews.info/wordpress/feed/atom/):
    <?xml version=”1.0″ encoding=”UTF-8″?><feed
    xmlns=”http://www.w3.org/2005/Atom”
    xmlns:thr=”http://purl.org/syndication/thread/1.0″
    xml:lang=”it-IT”
    xml:base=”http://www.afnews.info/wordpress/wp-atom.php”
    xmlns:georss=”http://www.georss.org/georss” xmlns:geo=”http://www.w3.org/2003/01/geo/wgs84_pos#” >

    Ovviamente è un problema, perché il file non viene accettato da alcuni aggregatori, tra cui FeedBurner.
    E’ una novità (ha sempre funzionato): ha a che vedere con la nuova versione di WP? Ci si può fare qulacosa?
    Grazie! 🙂
    gg

  • Devi essere collegato per rispondere a questo topic.